# Rebooting a DB Instance

#### Function

This API is used to reboot a DB instance.

- Learn how to authorize and authenticate this API before using it.
- Before calling this API, obtain the required region and endpoint.

The RDS DB instance will be unavailable during the reboot process. Exercise caution when performing this operation.

#### Constraints

The DB instance cannot reboot when it is being created, scaled, backed up, restored, or its instance class or port is being changed.

#### URI

- URI format

  POST https://{Endpoint}/v3/{project_id}/instances/{instance_id}/action

- Example

  https://rds.eu-de.otc.t-systems.com/v3/0483b6b16e954cb88930a360d2c4e663/instances/dsfae23fsfdsae3435in01/action

- Parameter description

  Table 1 Parameter description
  Name | Mandatory | Description
  --- | --- | ---
  project_id | Yes | Specifies the project ID of a tenant in a region. For details about how to obtain the project ID, see Obtaining a Project ID.
  instance_id | Yes | Specifies the DB instance ID.

#### Request

- Parameter description

  Table 2 Parameter description
  Name | Mandatory | Type | Description
  --- | --- | --- | ---
  restart | Yes | None | This parameter is left blank.

- Request example

      {
            "restart": {}
      }

#### Response

- Normal response

  Table 3 Parameter description
  Name | Type | Description
  --- | --- | ---
  job_id | String | Indicates the task ID.

- Example normal response

      {
          "job_id": "2b414788a6004883a02390e2eb0ea227"
      }

- Abnormal Response

  For details, see Abnormal Request Results.

#### Status Code

For details, see Status Codes.

#### Error Code

For details, see Error Codes.

Parent topic: DB Instance Management